@import "theme/styles";

@import "theme/archives.scss";

@import "theme/tax-genre.scss";
@import "theme/tax-folder.scss";
@import "theme/taxonomy-terms.scss";
@import "theme/page-about";
@import "theme/fixes";
@import "theme/term-card-folder";
html{
	@media (max-width: 360px){
		font-size: 11px;
	}
	@media (min-width: 361px){
		font-size: 12px;
	}
	@media (min-width: map-get($grid-breakpoints, sm)){
		font-size: 14px;
	}
	@media (min-width: map-get($grid-breakpoints, md)){
		font-size: 15px;
	}
	@media (min-width: 1366px){
		font-size: 16px;
	}
	@media (min-width: map-get($grid-breakpoints, xl)){
		font-size: 18px;

	}
}


h1, h2, h3, h4, h5, h6{
	text-transform: uppercase;
	line-height:1;
}

body.rtl{
	font-family:$font-family-serif-ar;
	h1, h2, h3, h4, h5, h6{
		font-family: $font-family-sans-serif-ar;
		line-height: .9;
	}
	h1{
		font-size: $h1-font-size * 38 / 30;

	}
	h2{
		font-size: $h2-font-size * 38 / 30;

	}
	h3{
		font-size: $h3-font-size * 38 / 30;

	}
	h4{
		font-size: $h4-font-size * 38 / 30;

	}
	h5{
		font-size: $h5-font-size * 38 / 30;

	}
	h6{
		font-size: $h6-font-size * 38 / 30;
	}
	.ff-sans-serif{
		font-family: $font-family-sans-serif-ar;
	}
}



a:link, a:visited, a:focus{
	text-decoration: none;
	color: inherit;
}

p > a:link, p > a:visited, p > a:focus{
	color: $gray-blue;
}

.clear{
	clear: both;
}

//Used in Single posts for share button style
.social-media-links{
	@include rounded-menu(30px, 20px, 30px);
}

body::-webkit-scrollbar{
	display: none;
}

ul.social-links{
	text-transform: none;
	li {
		@extend .list-inline-item;
		padding-left: 5px;
		padding-right: 5px;
		i {
			display: block;
			transform: translateY(3px);
		}
	}	
}

.subfooter{
	img{
		width: auto;
		@media (min-width: map-get($grid-breakpoints, xs)){
			height: 40px;
		}
		@media (min-width: map-get($grid-breakpoints, md)){
			height: 60px;
		}		
	}
}
.site-footer{
	.underline{
		border-bottom: 1px dotted white;
	}
	
	.list-inline {
		display: inline-block;
	}
	
	font-weight:300;
	font-size: 0.85rem;	

	ul.social-links{
		margin: 0;
		
		li {
			padding-left: 5px;
			padding-right: 5px;
			font-size: 1.15rem;
			
			i {
				display: block;
				transform: translateY(3px);
			}
		}	
	}

	ul.footer-menu{
		@extend .list-inline;
		li{
			display: inline-block;

			a, a:link, a:focus, a:visited, a:hover{
				color: white;
				text-decoration: none;
			}
		}
		> li{

			& + li{
				padding-left: 5px;
				border-left: 1px dotted white;
				margin-left: 4px;
			}
		}
		
	}

	& + .widget_text{
		@extend .col-8;
		text-align: right;
	}
	.copyright {
		img{
			height: 20px;
			width: auto;
		}
		.copyright-icons {
			display: inline-block;
		}
	}
	hr{
		border-bottom: 1px solid rgba(255,255,255,.8);
	}

}



.fullwidth{
	width:100%;
	overflow-x: hidden;
}

#go-to-top {
	bottom: 10px;
	right: 10px;
	color: white;
	cursor: pointer;
	font-size: 1.5rem;
	position: fixed;
	z-index: 1;
	display: none;
	
	&.icon-back-to-top:before{content:'\002e';}
}







.ff-sans-serif{
	font-family: $font-family-sans-serif;
}

.ff-serif{
	font-family: $font-family-serif;

}



.views-get-more{
	@extend .col-md-6;
	@extend .mx-auto;
	@extend .my-3;
	@extend .p-2;
	@extend .h3;
	text-transform: uppercase;
	text-align: center;
	color: $white !important;
	background: $gray-blue;
	cursor: pointer;
}


.float-md-opposite{
	@media (min-width: map-get($grid-breakpoints, md)){
		float: right;
	}
}


.float-md-direct{
	@media (min-width: map-get($grid-breakpoints, md)){
		float: left;
	}
}